!> @file user_init_urban_surface.f90
!--------------------------------------------------------------------------------!
! This file is part of PALM.
!
! PALM is free software: you can redistribute it and/or modify it under the
! terms of the GNU General Public License as published by the Free Software
! Foundation, either version 3 of the License, or (at your option) any later
! version.
!
! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License along with
! PALM. If not, see <http://www.gnu.org/licenses/>.
!
! Copyright 2015 Czech Technical University in Prague
! Copyright 1997-2016 Leibniz Universitaet Hannover
!--------------------------------------------------------------------------------!
!
! Current revisions:
! -----------------
! 
! 
! Former revisions:
! -----------------
! $Id: user_init_urban_surface.f90 2008 2016-08-24 15:53:00Z kanani $
!
! 2007 2016-08-24 15:47:17Z kanani
! Initial revision
!
!
! Description:
! ------------
!> Execution of user-defined actions to initiate the urban surface model
!------------------------------------------------------------------------------!
 SUBROUTINE user_init_urban_surface

    USE arrays_3d
    
    USE control_parameters
    
    USE indices
    
    USE kinds

    USE urban_surface_mod
    
    USE user

    IMPLICIT NONE

    INTEGER(iwp) ::  i  !< running index
    INTEGER(iwp) ::  j  !< running index

!
!-- Here the user-defined urban surface initialization actions follow:



 END SUBROUTINE user_init_urban_surface

